use serde::{Serialize, Deserialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct System {
    pub pk_userid: String,
    pub sp_userid: String,
    pub members: Vec<Member>,
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq)]
pub struct Member {
    pub pk_id: String,
    pub sp_id: String,
    pub name: String,
    pub alias: String
}

#[derive(Debug)]
pub struct Fronters {
  pub sp: Vec<Member>,
  pub pk: Vec<Member>,
}

impl Fronters {
  pub fn new(pk: Vec<Member>, sp: Vec<Member>) -> Self {
    Self {sp, pk}
  }
}
